Name:           qodem
Version:        0.3.2
Release:        1%{?dist}
Summary:        Terminal emulator and communications package

Group:          Applications/Communications
License:        GPLv2+
URL:            http://qodem.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel
BuildRequires:  ncurses-devel
BuildRequires:  gettext
BuildRequires:  glibc-devel


%description
Qodem is an open-source re-implementation of the Qmodem(tm)
shareware communications package, updated for more modern uses.
Major features include:
    * Unicode display: translation of CP437 (PC VGA), VT100 DEC
      Special Graphics characters, VT220 National Replacement
      Character sets, etc., to Unicode
    * Terminal interface conveniences: scrollback buffer, capture
      file, screen dump, dialing directory, keyboard macros, script
      support
    * Connection methods: serial, local shell, command line, telnet,
      ssh, rlogin, rsh
    * Emulations: ANSI.SYS (including "ANSI music"), Avatar, VT52,
      VT100/102, VT220, Linux, and XTerm
    * Transfer protocols: Xmodem, Ymodem, Zmodem, and Kermit


%prep
%setup -q

# Remove bundled gettext
rm -f intl/gettext.c


%build
export CXXFLAGS="%{optflags}"
export CFLAGS="%{optflags}"
export LDFLAGS="-lm"

%configure --with-libintl-prefix=/usr/share/gettext/intl

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING CREDITS NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Sat Jul 23 2011 Richard Shaw <hobbes1069@gmail.com> - 0.3.2-1
- Initial Release.
